Package bitel.billing.server.contract.object.bean

# Class ListValueManager

java.lang.Object
bitel.billing.server.contract.object.bean.ListValueManager

public class ListValueManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListValueManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteValue(int id)`
  Удаление значения по его коду
  `ListValue`
  `getValue(int id)`
  Возвращает списковое значение по его коду
  `List<ListValue>`
  `getValues(int listParamId)`
  Получает список значений списковых параметров по коду параметра
  `Map<Integer,ListValue>`
  `getValuesMap()`
  Возвращает карту списковых значений параметров
  `void`
  `updateValue(ListValue value)`
  Обновляет списковое значение

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListValueManager

    public ListValueManager(Connection con)

- ## Method Details

  - ### getValuesMap

    public Map<Integer,ListValue> getValuesMap() throws SQLException
    Возвращает карту списковых значений параметров
    Returns:
    Throws:
      `SQLException`

  - ### getValue

    public ListValue getValue(int id) throws SQLException
    Возвращает списковое значение по его коду
    Parameters:
      `id` - код значения
    Returns:
    Throws:
      `SQLException`

  - ### getValues

    public List<ListValue> getValues(int listParamId) throws SQLException
    Получает список значений списковых параметров по коду параметра
    Parameters:
      `listParamId` -
    Returns:
    Throws:
      `SQLException`

  - ### updateValue

    public void updateValue(ListValue value) throws SQLException
    Обновляет списковое значение
    Parameters:
      `value` - списковое значение
    Throws:
      `SQLException`

  - ### deleteValue

    public void deleteValue(int id) throws SQLException
    Удаление значения по его коду
    Parameters:
      `id` - код значения
    Throws:
      `SQLException`